Package org.jfree.layouting.layouter.context

## Class ListSpecification

- java.lang.Object
- - org.jfree.layouting.layouter.context.ListSpecification

-     public class ListSpecification
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListSpecification​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CounterStyle` | `getCounterStyle​()` |
    `java.lang.Object` | `getImage​()` |
    `ListStylePosition` | `getPosition​()` |
    `void` | `setCounterStyle​(CounterStyle counterStyle)` |
    `void` | `setImage​(java.lang.Object image)` |
    `void` | `setPosition​(ListStylePosition position)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSpecification

          public ListSpecification​()

  - ### Method Detail

    - #### getCounterStyle

          public CounterStyle getCounterStyle​()

    - #### setCounterStyle

          public void setCounterStyle​(CounterStyle counterStyle)

    - #### getImage

          public java.lang.Object getImage​()

    - #### setImage

          public void setImage​(java.lang.Object image)

    - #### getPosition

          public ListStylePosition getPosition​()

    - #### setPosition

          public void setPosition​(ListStylePosition position)